StandardCopyOption (Java Platform SE 8 )
Keywords: java.nio.file.StandardCopyOption class
Date: 2023-01-18

compact1, compact2, compact3
java.nio.file

## Enum StandardCopyOption

- java.lang.Object
- - java.lang.Enum<StandardCopyOption>
  - - java.nio.file.StandardCopyOption

- All Implemented Interfaces:
    Serializable, Comparable<StandardCopyOption>, CopyOption

      public enum StandardCopyOption
      extends Enum<StandardCopyOption>
      implements CopyOption

  Defines the standard copy options.
  Since:
    1.7

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATOMIC_MOVE` Move the file as an atomic file system operation.
    `COPY_ATTRIBUTES` Copy attributes to the new file.
    `REPLACE_EXISTING` Replace an existing file if it exists.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StandardCopyOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StandardCopyOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REPLACE_EXISTING

          public static final StandardCopyOption REPLACE_EXISTING

      Replace an existing file if it exists.

    - #### COPY_ATTRIBUTES

          public static final StandardCopyOption COPY_ATTRIBUTES

      Copy attributes to the new file.

    - #### ATOMIC_MOVE

          public static final StandardCopyOption ATOMIC_MOVE

      Move the file as an atomic file system operation.

  - ### Method Detail

    - #### values

          public static StandardCopyOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StandardCopyOption c : StandardCopyOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StandardCopyOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2023, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.